// C Source File
// Created 3/17/02; 5:02:50 PM

#define OPTIMIZE_ROM_CALLS    // Use ROM Call Optimization

// #define SAVE_SCREEN        // Save/Restore LCD Contents

#include <tigcclib.h>         // Include All Header Files

short _ti89;                  // Produce .89Z File
short _ti92plus;              // Produce .9XZ File

// Main Function
void _main(void)
{
	ESI ap;
	unsigned long arg;
	EVENT ev;
	InitArgPtr(ap);
	if (ArgCount() == 0)
		UsageExit();
	
	do {
		if (GetArgType(ap) == POSINT_TAG) {
			arg = GetIntArg(ap);
			ev.Type = CM_KEYPRESS;
			ev.extra.Key.Code = arg;
			EV_sendEvent(AP_CURRENT, &ev);
		} else {
			SkipArg(ap);
		}
		OSFreeTimer (USER_TIMER);
		OSRegisterTimer (USER_TIMER, 5);
		while (!OSTimerExpired (USER_TIMER));
	} while (RemainingArgCnt(ap) != 0);
}


void UsageExit(void)
{
	ST_helpMsg("Usage: shell(keycode,...)");
	exit(1);
}
